[SM-Grimoire-Bugs] [Bug 16113] deprecation of gnupg (casting gnupg-2.2) leaves cleanse confused with gnupg dependencies

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Sat May 18 09:07:53 EDT 2019


https://bugs.sourcemage.org/show_bug.cgi?id=16113

--- Comment #1 from Thomas Orgis <sobukus at sourcemage.org> ---
# grep gnupg /var/state/sorcery/depends 
bzip2:gnupg:on:required::
simpleinit-msb:gnupg:on:required::
installwatch:gnupg:on:required::
sorcery-pubkeys:gnupg:on:required::
iana-etc:gnupg:on:required::
procps:gnupg:on:required::
unzip:gnupg:on:required::
gnupg-2.2:npth:on:required::
gnupg-2.2:libgpg-error:on:required::
gnupg-2.2:libgcrypt:on:required::
gnupg-2.2:libassuan:on:required::
gnupg-2.2:libksba:on:required::
gnupg-2.2:readline:on:required::
gnupg-2.2:bzip2:on:required::
gnupg-2.2:zlib:on:required::
gnupg-2.2:pkgconfig:on:required::
gnupg-2.2:openldap:off:optional:--enable-ldap:--disable-ldap
gnupg-2.2:gettext:on:optional::--disable-nls
gnupg-2.2:libusb:on:optional::
gnupg-2.2:gnutls:on:optional::--disable-gnutls
gnupg-2.2:sqlite:on:optional::--disable-sqlite
basesystem:gnupg-2.2(GNUPG):on:required::


So, how do we properly get rid of these entries with gnupg in the second
column?
How do they come into existence at all?

-- 
You are receiving this mail because:
You are the assignee for the bug.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.ibiblio.org/pipermail/sm-grimoire-bugs/attachments/20190518/d44a4654/attachment.html>


More information about the SM-Grimoire-Bugs mailing list